Voyage Linux: Dialog Error with Apt

Voyage Linux: Dialog Error with Apt

This can happen on other Linux distributions, however in this case I found it on Voyage Linux, which is a Linux distribution for embedded hardware.

The Error

Here we are dealing with an annoyance whenever you use apt-get or aptitude.

debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76, <> line 1.)
debconf: falling back to frontend: Readline

The Fix

Simply install dialog, which is the package it is not finding.  This will no longer need the failback to readline.

# apt-get install dialog

Once the dialog package has been installed the issue will no longer occur on subsequent runs of apt-get or aptitude.